From ce567d27ca000232e5026c82e604a33a89c7718b Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?Piotr=20W=C3=B3jcik?= <chocimier@tlen.pl>
Date: Sun, 14 Jul 2019 01:08:33 +0200
Subject: [PATCH] signon-plugin-oauth2: fix conflict with kaccounts-providers

closes #13092
---
 srcpkgs/signon-plugin-oauth2/template | 8 +++++++-
 1 file changed, 7 insertions(+), 1 deletion(-)

diff --git a/srcpkgs/signon-plugin-oauth2/template b/srcpkgs/signon-plugin-oauth2/template
index e1132c3c82d..d6106197b5a 100644
--- a/srcpkgs/signon-plugin-oauth2/template
+++ b/srcpkgs/signon-plugin-oauth2/template
@@ -1,7 +1,7 @@
 # Template file for 'signon-plugin-oauth2'
 pkgname=signon-plugin-oauth2
 version=0.24
-revision=1
+revision=2
 wrksrc="signon-plugin-oauth2-VERSION_${version}"
 build_style=qmake
 configure_args="LIBDIR=/usr/lib"
@@ -14,6 +14,10 @@ homepage="https://gitlab.com/accounts-sso/signon-plugin-oauth2"
 distfiles="https://gitlab.com/accounts-sso/signon-plugin-oauth2/-/archive/VERSION_${version}/signon-plugin-oauth2-VERSION_${version}.tar.bz2"
 checksum=d37f6c93b6cd2885b517fd93cdb2407b0164655454ded2ed56e41704f81f05c4
 
+pre_configure() {
+	vsed -i common-project-config.pri -e 's/ -Werror/& -Wno-error=deprecated-declarations/'
+}
+
 if [ "$CROSS_BUILD" ]; then
 	CXXFLAGS+=" -I${XBPS_CROSS_BASE}/usr/include/qt5"
 	for i in ${XBPS_CROSS_BASE}/usr/include/qt5/*; do
@@ -23,4 +27,6 @@ fi
 
 post_install() {
 	rm "${DESTDIR}/usr/bin/signon-oauth2plugin-tests"
+	# conflict with kaccounts-providers, this file is less useful
+	rm "${DESTDIR}/etc/signon-ui/webkit-options.d/www.facebook.com.conf"
 }
